from flask_wtf import FlaskForm
from flask_wtf.file import FileField, FileAllowed, FileRequired
from wtforms.validators import DataRequired
from wtforms import SelectField, SubmitField

class UploadForm(FlaskForm):
    uploadFile = FileField('file', validators=[
        FileRequired(message="You must specify to upload"),
        FileAllowed(['txt', 'gz', 'zip', 'log'], 'Log files only!')
    ])
    submit = SubmitField('Upload')

class AnalyzeLog(FlaskForm):
    logFile = SelectField(u'Log file', validators = [DataRequired()])
    submit = SubmitField('Analyze')